%define major	0
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	0.6.3
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libdxfrw/
Source0:	http://download.sourceforge.net/libdxfrw/%{name}-%{version}.tar.xz

%description
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to read dwg and read/write dxf files
Obsoletes:	libdxfrw
Provides:	libdxfrw = %{version}-%{release}

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes: 	libdxfrw-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files to
dxf (ascii and binary) file.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n dwg2dxf
%{_bindir}/dwg2dxf

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}%{major}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc


%changelog
* Sun Oct 09 2016 adrianomorselli <adrianomorselli> 0.6.3-1uplos2016
- rebuild

* Tue Mar 15 2016 bb <bb> 0.6.3-1pclos2016
- update and convert to library format

* Thu Nov 27 2014 pinoc <vogtpet at gmail.com> 0.5.11-1pclos2014
- imported package
